package com.goldenwater.slaj.ttsa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.ttsa.mapper.BisTtsaScoreMapper;
import com.goldenwater.slaj.ttsa.domain.BisTtsaScore;
import com.goldenwater.slaj.ttsa.service.IBisTtsaScoreService;

@Service
public class BisTtsaScoreServiceImpl implements IBisTtsaScoreService {
    @Autowired
    private BisTtsaScoreMapper bisTtsaScoreMapper;

    @Override
    public BisTtsaScore selectBisTtsaScoreByGuid(String guid) {
        return bisTtsaScoreMapper.selectBisTtsaScoreByGuid(guid);
    }

    @Override
    public List<BisTtsaScore> selectBisTtsaScoreList(BisTtsaScore bisTtsaScore) {
        return bisTtsaScoreMapper.selectBisTtsaScoreList(bisTtsaScore);
    }

    @Override
    public int insertBisTtsaScore(BisTtsaScore bisTtsaScore) {
        return bisTtsaScoreMapper.insertBisTtsaScore(bisTtsaScore);
    }

    @Override
    public int updateBisTtsaScore(BisTtsaScore bisTtsaScore) {
        return bisTtsaScoreMapper.updateBisTtsaScore(bisTtsaScore);
    }

    @Override
    public int deleteBisTtsaScoreByGuid(String guid) {
        return bisTtsaScoreMapper.deleteBisTtsaScoreByGuid(guid);
    }

    @Override
    public int deleteBisTtsaScoreByGuids(String[] guids) {
        return bisTtsaScoreMapper.deleteBisTtsaScoreByGuids(guids);
    }
}
